% this is the old source of the manual page
% convert with pandoc -s -w man $^ -o $@
% ATDCAT(1) ATDCat User Manual
% Sylvain Le Gall 
% December 3, 2010

# NAME

atdcat - check syntax of an ATD file.

# SYNOPSIS

atdcat [options] file

# DESCRIPTION

  The syntax of an ATD file can be checked with the program atdcat
provided with the OCaml library atd. atdcat pretty-prints its input
data, optionally after some transformations such as monomorphization or
inheritance. 

# OPTIONS

-x e
:   make type expressions monomorphic

-xk
:   keep parametrized type definitions and imply -x.
    Default is to return only monomorphic type definitions

-xd 
:   debug mode implying -x

-i 
:   expand all `inherit' statements

-if 
:   expand `inherit' statements in records

-iv 
:   expand `inherit' statements in sum types

-ml <name>
:   output the ocaml code of the ATD abstract syntax tree

-version 
:   print the version of atd and exit

-help|\--help
:   Display list of options
